import React from "react";
declare const Button: React.ForwardRefExoticComponent<{
    prefixIcon?: import("../..").ImagesType | undefined;
    hoverPrefixIcon?: import("../..").ImagesType | undefined;
    suffixIcon?: import("../..").ImagesType | undefined;
    hoverSuffixIcon?: import("../..").ImagesType | undefined;
    type?: "link" | "default" | "text" | "dashed" | "primary" | "ghost" | "secondary" | "tertiary" | "ordinary" | "ordinary-onTint" | "quiet" | undefined;
} & Omit<Partial<{
    href: string;
    target?: string | undefined;
    onClick?: React.MouseEventHandler<HTMLElement> | undefined;
} & import("antd/lib/button/button").BaseButtonProps & import("antd/lib/_util/type").Omit<React.AnchorHTMLAttributes<any>, "type" | "onClick"> & {
    htmlType?: "button" | "reset" | "submit" | undefined;
    onClick?: React.MouseEventHandler<HTMLElement> | undefined;
} & import("antd/lib/_util/type").Omit<React.ButtonHTMLAttributes<any>, "type" | "onClick">>, "type"> & React.RefAttributes<HTMLButtonElement>>;
export default Button;
